Distribution:	CCux
Packager:  Christian Metzen <metzench@ccux-linux.de>

Summary:   This package contains utilities and test programs for the Linux SCSI subsystem.
Name:      sg3-utils
Version:   1.26
Release:   1
Provides:  sg3-utils
License:   GNU/GPL
URL:	   http://sg.torque.net/sg/index.html
Group:     System/Configuration/Hardware
Source0:   sg3_utils-%{version}.tgz
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: glibc-devel

# Require for rpm lzma compression transition
Requires:        rpm >= 4.4.2.3-1


%description
This package contains utilities and test programs for the Linux SCSI
subsystem. In the Linux 2.6 kernel series almost all of these programs 
will work on any devices that use the SCSI command set. Apart from SCSI 
parallel devices, ATAPI devices (CD/DVDs and tapes), USB mass storage 
devices, Fibre Channel disks and IEEE 1394 storage devices (that use 
the "SBP" protocol) use the SCSI command set.

%package devel
summary:       The sg3-utils package contains development headers.
group:         System/Configuration/Hardware
%description devel
%{summary}


%post
ldconfig

%postun
ldconfig

%prep
%setup -n sg3_utils-%{version}

%build
./autogen.sh
./configure --prefix=%_prefix
make

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -Rf $RPM_BUILD_ROOT/usr/local

%files
%defattr(-,root,root)
%{_bindir}/
%{_mandir}/
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
/usr/include/*
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sat Aug 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.26-1
- version update
* Fri Nov 19 2004 Christian Metzen <metzench@ccux-linux.de> 1.11-1
- Initial Release
